//
// ScheduleAPI.m
// Project
//
// Created by haibara on 5/11/17.
//
//

#import "ScheduleAPI.h"

@implementation StopScheduleApi
@end

@implementation BookingReportDetail

-(NSString *)namespace{
    if (self.isDBDSearch) {
        return @"api-schedule";
    }
    return [super namespace];
}

@end

@implementation DriverBean

- (BOOL)isEqual:(id)object {
	if (self == object) {
		return YES;
	}
	if (![object isKindOfClass:self.class]) {
		return NO;
	}
	return self.hash == [object hash];
}

- (NSUInteger)hash {
	return self.id != 0 ? self.id : [super hash];
}

#pragma mark - Property

- (NSString *)phoneCarrierName {
	switch (self.phoneCarrier) {
		case 1:
			return @"AT&T";
			break;
		case 2:
			return @"Verizon";
			break;
		case 3:
			return @"T-Mobile";
			break;
		case 4:
			return @"Sprint";
			break;
		case 5:
			return @"MetroPCS";
			break;
		default:
			return nil;
			break;
	}
}

@end

@implementation BookingReportDetailBean
@end

@implementation BookingReportSummaryBean
@end

@implementation BookingReportDetailResponse
@end

@implementation CustomerListPage

-(NSString *)namespace{
    if (self.isDBDSearch) {
        return @"api-schedule";
    }
    return [super namespace];
}
@end

@implementation CustomerListPageResponse
@end





